#97738 Report by node localhost covering 1551 tests from 45 modules resulted into 10 errors

Report

ObsPy Version
1.0.3
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
1295.6 sec
Report Date/Time
2018-07-23 09:47:10

System / Python

Architecture
64bit
Machine
x86_64
Node
localhost
Processor
x86_64
Python Compiler
GCC 6.3.1 20161221 (Red Hat 6.3.1-1)
Python Implementation
CPython
Python Version
3.5.3
Release
4.11.12-100.fc24.x86_64
System
Linux
Version
#1 SMP Fri Jul 21 17:35:20 UTC 2017

Dependencies

cartopy
---
decorator
4.0.11
flake8
---
future
0.16.0
geographiclib
---
lxml.etree
3.7.2
m2crypto
---
matplotlib
1.5.2rc2
mock
2.0.0
mpl_toolkits.basemap
1.0.7
numpy
1.11.0
osgeo.gdal
---
pep8-naming
---
pyflakes
---
pyimgur
---
pyproj
---
requests
2.10.0
scipy
0.16.1
setuptools
20.1.1
sqlalchemy
1.0.17

Modules (45)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink 2 1 2
obspy.clients.earthworm 1 3
obspy.clients.fdsn 2 4 5
obspy.clients.filesystem - -
obspy.clients.iris - -
obspy.clients.neic 4 6 7 8 9
obspy.clients.seedlink - -
obspy.clients.seishub Not tested -
obspy.clients.syngine 1 10
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.datamark - -
obspy.io.gse2 - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.sac - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh Not tested -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 10 10

Tracebacks (10)

Traceback (most recent call last):
File "/usr/lib64/python3.5/doctest.py", line 2190, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.arclink.client.Client.get_paz
File "/usr/lib64/python3.5/site-packages/obspy/clients/arclink/client.py", line 915, in get_paz
----------------------------------------------------------------------
File "/usr/lib64/python3.5/site-packages/obspy/clients/arclink/client.py", line 940, in obspy.clients.arclink.client.Client.get_paz
Failed example:
paz = client.get_paz('BW', 'MANZ', '', 'EHZ', t)
Exception raised:
Traceback (most recent call last):
File "/usr/lib64/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.arclink.client.Client.get_paz[4]>", line 1, in <module>
paz = client.get_paz('BW', 'MANZ', '', 'EHZ', t)
File "/usr/lib64/python3.5/site-packages/obspy/clients/arclink/client.py", line 967, in get_paz
instruments=True, route=route)
File "/usr/lib64/python3.5/site-packages/obspy/clients/arclink/client.py", line 1144, in get_inventory
result = self._fetch(rtype, rdata, route=route)
File "/usr/lib64/python3.5/site-packages/obspy/clients/arclink/client.py", line 226, in _fetch
endtime=request_data[1])
File "/usr/lib64/python3.5/site-packages/obspy/clients/arclink/client.py", line 627, in get_routing
result = self._fetch(rtype, rdata, route=False)
File "/usr/lib64/python3.5/site-packages/obspy/clients/arclink/client.py", line 220, in _fetch
return self._request(request_type, request_data)
File "/usr/lib64/python3.5/site-packages/obspy/clients/arclink/client.py", line 325, in _request
raise ArcLinkException("%s %s" % (err_code, msg))
obspy.clients.arclink.client.ArcLinkException: b'UNSET'
Traceback (most recent call last):
File "/usr/lib64/python3.5/site-packages/obspy/clients/arclink/tests/test_client.py", line 186, in test_get_inventory
result = client.get_inventory('BW', 'MANZ', '', 'EHE', start, end)
File "/usr/lib64/python3.5/site-packages/obspy/clients/arclink/client.py", line 1144, in get_inventory
result = self._fetch(rtype, rdata, route=route)
File "/usr/lib64/python3.5/site-packages/obspy/clients/arclink/client.py", line 226, in _fetch
endtime=request_data[1])
File "/usr/lib64/python3.5/site-packages/obspy/clients/arclink/client.py", line 627, in get_routing
result = self._fetch(rtype, rdata, route=False)
File "/usr/lib64/python3.5/site-packages/obspy/clients/arclink/client.py", line 220, in _fetch
return self._request(request_type, request_data)
File "/usr/lib64/python3.5/site-packages/obspy/clients/arclink/client.py", line 270, in _request
self._hello()
File "/usr/lib64/python3.5/site-packages/obspy/clients/arclink/client.py", line 200, in _hello
self.version = self._read_ln(b')')
File "/usr/lib64/python3.5/site-packages/obspy/clients/arclink/client.py", line 188, in _read_ln
line = self._client.read_until(value + b'\r\n', self.timeout)
File "/usr/lib64/python3.5/telnetlib.py", line 315, in read_until
self.fill_rawq()
File "/usr/lib64/python3.5/telnetlib.py", line 524, in fill_rawq
buf = self.sock.recv(50)
ConnectionResetError: [Errno 104] Connection reset by peer
Traceback (most recent call last):
File "<decorator-gen-408>", line 2, in test_availability
File "/usr/lib64/python3.5/site-packages/obspy/core/util/decorator.py", line 126, in skip_on_network_error
return func(*args, **kwargs)
File "/usr/lib64/python3.5/site-packages/obspy/clients/earthworm/tests/test_client.py", line 116, in test_availability
self.assertIn('AV.ACH.--.EHZ', seeds)
AssertionError: 'AV.ACH.--.EHZ' not found in []
Traceback (most recent call last):
File "/usr/lib64/python3.5/site-packages/obspy/clients/fdsn/tests/test_client.py", line 712, in test_station_bulk
inv = client.get_stations_bulk(bulk, level="station")
File "/usr/lib64/python3.5/site-packages/obspy/clients/fdsn/client.py", line 1068, in get_stations_bulk
data=bulk.encode('ascii', 'strict'))
File "/usr/lib64/python3.5/site-packages/obspy/clients/fdsn/client.py", line 1371, in _download
(str(data.__class__.__name__), str(data))))
obspy.clients.fdsn.header.FDSNException: Unknown Error (ConnectionResetError): [Errno 104] Connection reset by peer
Traceback (most recent call last):
File "/usr/lib64/python3.5/site-packages/obspy/clients/fdsn/tests/test_client.py", line 657, in test_dataselect_bulk
self.assertEqual(got, expected, failmsg(got, expected))
AssertionError: <obspy.core.stream.Stream object at 0x7f81e7a55da0> != <obspy.core.stream.Stream object at 0x7f81e7a75860> :
Got:
2 Trace(s) in Stream:
TA.A25A..BHE | 2010-03-25T00:00:00.000001Z - 2010-03-25T00:00:05.975001Z | 40.0 Hz, 240 samples
TA.A25A..BHZ | 2010-03-25T00:00:00.000000Z - 2010-03-25T00:00:04.000000Z | 40.0 Hz, 161 samples
Expected:
1 Trace(s) in Stream:
TA.A25A..BHE | 2010-03-25T00:00:00.000001Z - 2010-03-25T00:00:05.975001Z | 40.0 Hz, 240 samples
Traceback (most recent call last):
File "/usr/lib64/python3.5/site-packages/obspy/clients/neic/tests/test_client.py", line 64, in test_get_waveform_nscl
self.assertEqual(stats.sampling_rate, 20.0)
AssertionError: 40.0 != 20.0
Traceback (most recent call last):
File "/usr/lib64/python3.5/doctest.py", line 2190, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.neic.client.Client.get_waveforms
File "/usr/lib64/python3.5/site-packages/obspy/clients/neic/client.py", line 77, in get_waveforms
----------------------------------------------------------------------
File "/usr/lib64/python3.5/site-packages/obspy/clients/neic/client.py", line 117, in obspy.clients.neic.client.Client.get_waveforms
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
3 Trace(s) in Stream:
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
Got:
3 Trace(s) in Stream:
IU.ANMO.00.BH1 | 2018-07-23T09:42:04.994539Z - 2018-07-23T09:42:14.994539Z | 40.0 Hz, 401 samples
IU.ANMO.00.BH2 | 2018-07-23T09:42:04.994539Z - 2018-07-23T09:42:14.994539Z | 40.0 Hz, 401 samples
IU.ANMO.00.BHZ | 2018-07-23T09:42:04.994539Z - 2018-07-23T09:42:14.994539Z | 40.0 Hz, 401 samples
Traceback (most recent call last):
File "/usr/lib64/python3.5/doctest.py", line 2190, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.neic.client.Client
File "/usr/lib64/python3.5/site-packages/obspy/clients/neic/client.py", line 25, in Client
----------------------------------------------------------------------
File "/usr/lib64/python3.5/site-packages/obspy/clients/neic/client.py", line 46, in obspy.clients.neic.client.Client
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
3 Trace(s) in Stream:
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
Got:
3 Trace(s) in Stream:
IU.ANMO.00.BH1 | 2018-07-23T09:42:02.744539Z - 2018-07-23T09:42:12.744539Z | 40.0 Hz, 401 samples
IU.ANMO.00.BH2 | 2018-07-23T09:42:02.744539Z - 2018-07-23T09:42:12.744539Z | 40.0 Hz, 401 samples
IU.ANMO.00.BHZ | 2018-07-23T09:42:02.744539Z - 2018-07-23T09:42:12.744539Z | 40.0 Hz, 401 samples
----------------------------------------------------------------------
File "/usr/lib64/python3.5/site-packages/obspy/clients/neic/client.py", line 52, in obspy.clients.neic.client.Client
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
3 Trace(s) in Stream:
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
Got:
3 Trace(s) in Stream:
IU.ANMO.00.BH1 | 2018-07-23T09:42:02.744539Z - 2018-07-23T09:42:12.744539Z | 40.0 Hz, 401 samples
IU.ANMO.00.BH2 | 2018-07-23T09:42:02.744539Z - 2018-07-23T09:42:12.744539Z | 40.0 Hz, 401 samples
IU.ANMO.00.BHZ | 2018-07-23T09:42:02.744539Z - 2018-07-23T09:42:12.744539Z | 40.0 Hz, 401 samples
Traceback (most recent call last):
File "/usr/lib64/python3.5/doctest.py", line 2190, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.neic.client.Client.get_waveforms_nscl
File "/usr/lib64/python3.5/site-packages/obspy/clients/neic/client.py", line 139, in get_waveforms_nscl
----------------------------------------------------------------------
File "/usr/lib64/python3.5/site-packages/obspy/clients/neic/client.py", line 173, in obspy.clients.neic.client.Client.get_waveforms_nscl
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
3 Trace(s) in Stream:
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
IU.ANMO.00.BH... | 20.0 Hz, 201 samples
Got:
3 Trace(s) in Stream:
IU.ANMO.00.BH1 | 2018-07-23T09:42:06.019539Z - 2018-07-23T09:42:16.019539Z | 40.0 Hz, 401 samples
IU.ANMO.00.BH2 | 2018-07-23T09:42:06.019539Z - 2018-07-23T09:42:16.019539Z | 40.0 Hz, 401 samples
IU.ANMO.00.BHZ | 2018-07-23T09:42:06.019539Z - 2018-07-23T09:42:16.019539Z | 40.0 Hz, 401 samples
Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 385, in _make_request
httplib_response = conn.getresponse(buffering=True)
TypeError: getresponse() got an unexpected keyword argument 'buffering'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 578, in urlopen
chunked=chunked)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 387, in _make_request
httplib_response = conn.getresponse()
File "/usr/lib64/python3.5/http/client.py", line 1198, in getresponse
response.begin()
File "/usr/lib64/python3.5/http/client.py", line 297, in begin
version, status, reason = self._read_status()
File "/usr/lib64/python3.5/http/client.py", line 258, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "/usr/lib64/python3.5/socket.py", line 576, in readinto
return self._sock.recv_into(b)
ConnectionResetError: [Errno 104] Connection reset by peer
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/requests/adapters.py", line 403, in send
timeout=timeout
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 623, in urlopen
_stacktrace=sys.exc_info()[2])
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/util/retry.py", line 255, in increment
raise six.reraise(type(error), error, _stacktrace)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/packages/six.py", line 685, in reraise
raise value.with_traceback(tb)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 578, in urlopen
chunked=chunked)
File "/usr/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 387, in _make_request
httplib_response = conn.getresponse()
File "/usr/lib64/python3.5/http/client.py", line 1198, in getresponse
response.begin()
File "/usr/lib64/python3.5/http/client.py", line 297, in begin
version, status, reason = self._read_status()
File "/usr/lib64/python3.5/http/client.py", line 258, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "/usr/lib64/python3.5/socket.py", line 576, in readinto
return self._sock.recv_into(b)
requests.packages.urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib64/python3.5/site-packages/obspy/clients/syngine/tests/test_client.py", line 453, in test_reading_saczip_files
endtime="P+10", components="Z", format="saczip")
File "/usr/lib64/python3.5/site-packages/obspy/clients/syngine/client.py", line 633, in get_waveforms_bulk
data=buf, filename=filename)
File "/usr/lib64/python3.5/site-packages/obspy/clients/base.py", line 225, in _download
r = requests.post(**_request_args)
File "/usr/lib/python3.5/site-packages/requests/api.py", line 111, in post
return request('post', url, data=data, json=json, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/api.py", line 57, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/sessions.py", line 475, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.5/site-packages/requests/sessions.py", line 585, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.5/site-packages/requests/adapters.py", line 453, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))

Skipped Tests (35)

Submodule Test Skip Message
io.shapefile test_write_catalog_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_catalog_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.arclink test_get_waveform_no_password (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) Module M2Crypto is not installed
clients.arclink test_get_waveform_unknown_user (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) Module M2Crypto is not installed
clients.arclink test_get_waveform_with_dcid_key (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) Module M2Crypto is not installed
clients.arclink test_get_waveform_with_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) Module M2Crypto is not installed
clients.arclink test_get_waveform_with_default_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) Module M2Crypto is not installed
clients.arclink test_get_waveform_wrong_password (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) Module M2Crypto is not installed
io.nlloc test_read_nlloc_scatter_coordinate_conversion (obspy.io.nlloc.tests.test_util.NLLOCTestCase) pyproj not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_use_obspy_deprecation_warning (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_future_imports_in_every_file (obspy.core.tests.test_code_formatting.FutureUsageTestCase) No code formatting tests for release builds
io.wav test_rescale_on_write (obspy.io.wav.tests.test_core.CoreTestCase) needs a recent NumPy version
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.

Slowest Tests (20)

Runtime Test
79.997s get_paz (obspy.clients.arclink.client.Client)
74.234s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
58.208s test_get_routing (obspy.clients.arclink.tests.test_client.ClientTestCase)
52.559s test_get_inventory (obspy.clients.arclink.tests.test_client.ClientTestCase)
49.754s test_get_waveform_with_metadata (obspy.clients.arclink.tests.test_client.ClientTestCase)
43.987s test_get_inventory_twice (obspy.clients.arclink.tests.test_client.ClientTestCase)
39.632s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
36.757s test_save_waveform_no_compression (obspy.clients.arclink.tests.test_client.ClientTestCase)
34.453s test_issue_311 (obspy.clients.arclink.tests.test_client.ClientTestCase)
32.962s __init__ (obspy.clients.arclink)
27.503s test_get_waveform (obspy.clients.arclink.tests.test_client.ClientTestCase)
25.316s test_srl (obspy.clients.arclink.tests.test_client.ClientTestCase)
24.110s test_save_waveform (obspy.clients.arclink.tests.test_client.ClientTestCase)
23.878s test_save_waveform_compressed (obspy.clients.arclink.tests.test_client.ClientTestCase)
23.788s test_save_response (obspy.clients.arclink.tests.test_client.ClientTestCase)
21.680s test_get_inventory_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
21.000s test_delayed_request (obspy.clients.arclink.tests.test_client.ClientTestCase)
20.059s test_issue_372 (obspy.clients.arclink.tests.test_client.ClientTestCase)
18.556s test_redirection_auth (obspy.clients.fdsn.tests.test_client.ClientTestCase)
17.941s test_get_not_existing_waveform (obspy.clients.arclink.tests.test_client.ClientTestCase)

Chuck Norris Fact

Chuck Norris doesn't needs try-catch, exceptions are too afraid to raise.